diff -Nru libica-3.9.0/test/Makefile.am libica-4.0.0/test/Makefile.am
--- libica-3.9.0/test/Makefile.am	2021-10-13 16:00:38.000000000 +0200
+++ libica-4.0.0/test/Makefile.am	2021-12-06 12:01:54.000000000 +0100
@@ -7,21 +7,16 @@
 rng_test \
 drbg_test \
 drbg_birthdays_test.pl \
-des_test \
 des_ecb_test \
 des_cbc_test \
 des_ctr_test \
 des_cfb_test \
 des_ofb_test \
-tdes_test \
 tdes_ecb_test \
 tdes_cbc_test \
 tdes_ctr_test \
 tdes_cfb_test \
 tdes_ofb_test \
-aes_128_test \
-aes_192_test \
-aes_256_test \
 aes_ecb_test \
 aes_cbc_test \
 aes_ctr_test \
@@ -68,17 +63,17 @@
 TESTS_ENVIRONMENT = export LD_LIBRARY_PATH=${builddir}/../src/.libs/ \
 			   PATH=${builddir}/../src/:$$PATH \
 			   LIBICA_TESTDATA=${srcdir}/testdata/;
-AM_CFLAGS = @FLAGS@ -I${srcdir}/../include/ -I${srcdir}/../src/include/
+AM_CFLAGS = @FLAGS@ -DNO_SW_FALLBACKS -I${srcdir}/../include/ -I${srcdir}/../src/include/
 LDADD = @LIBS@ ${top_builddir}/src/.libs/libica.so -lcrypto -lpthread
 
 get_functionlist_cex_test_SOURCES = get_functionlist_cex_test.c 
 get_functionlist_cex_test_LDADD = @LIBS@ ${top_builddir}/src/.libs/libica-cex.so -lcrypto -lpthread
 
 check_PROGRAMS = fips_test icastats_test get_functionlist_test \
-get_version_test rng_test drbg_test drbg_birthdays_test des_test \
+get_version_test rng_test drbg_test drbg_birthdays_test \
 des_ecb_test des_cbc_test des_ctr_test des_cfb_test des_ofb_test \
-tdes_test tdes_ecb_test tdes_cbc_test tdes_ctr_test tdes_cfb_test \
-tdes_ofb_test aes_128_test aes_192_test aes_256_test aes_ecb_test \
+tdes_ecb_test tdes_cbc_test tdes_ctr_test tdes_cfb_test \
+tdes_ofb_test aes_ecb_test \
 aes_cbc_test aes_ctr_test aes_cfb_test aes_ofb_test aes_xts_test \
 aes_gcm_test aes_gcm_kma_test cbccs_test ccm_test cmac_test sha_test \
 sha1_test sha256_test sha3_224_test sha3_256_test sha3_384_test \
